org.fourthline.cling.transport.impl.jetty

## Class StreamClientImpl.HttpContentExchange

- java.lang.Object
- - org.eclipse.jetty.client.HttpExchange
  - - org.eclipse.jetty.client.CachedExchange
    - - org.eclipse.jetty.client.ContentExchange
      - - org.fourthline.cling.transport.impl.jetty.StreamClientImpl.HttpContentExchange

- Enclosing class:
    StreamClientImpl

      public static class StreamClientImpl.HttpContentExchange
      extends org.eclipse.jetty.client.ContentExchange

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.jetty.client.HttpExchange

      `org.eclipse.jetty.client.HttpExchange.CachedExchange, org.eclipse.jetty.client.HttpExchange.ContentExchange`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.eclipse.jetty.client.HttpClient` | `client`
    `protected StreamClientConfigurationImpl` | `configuration`
    `protected Throwable` | `exception`
    `protected StreamRequestMessage` | `requestMessage`

    - ### Fields inherited from class org.eclipse.jetty.client.HttpExchange

      `STATUS_CANCELLED, STATUS_CANCELLING, STATUS_COMPLETED, STATUS_EXCEPTED, STATUS_EXPIRED, STATUS_PARSING_CONTENT, STATUS_PARSING_HEADERS, STATUS_SENDING_REQUEST, STATUS_START, STATUS_WAITING_FOR_COMMIT, STATUS_WAITING_FOR_CONNECTION, STATUS_WAITING_FOR_RESPONSE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamClientImpl.HttpContentExchange(StreamClientConfigurationImpl configuration, org.eclipse.jetty.client.HttpClient client, StreamRequestMessage requestMessage)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `applyRequestBody()`
    `protected void` | `applyRequestHeaders()`
    `protected void` | `applyRequestURLMethod()`
    `protected StreamResponseMessage` | `createResponse()`
    `StreamClientConfigurationImpl` | `getConfiguration()`
    `StreamRequestMessage` | `getRequestMessage()`
    `protected void` | `onConnectionFailed(Throwable t)`
    `protected void` | `onException(Throwable t)`

    - ### Methods inherited from class org.eclipse.jetty.client.ContentExchange

      `getFileForUpload, getResponseContent, getResponseContentBytes, onResponseContent, onResponseHeader, onResponseStatus, onRetry, setFileForUpload`

    - ### Methods inherited from class org.eclipse.jetty.client.CachedExchange

      `getResponseFields, getResponseStatus`

    - ### Methods inherited from class org.eclipse.jetty.client.HttpExchange

      `addRequestHeader, addRequestHeader, cancel, cancelTimeout, configureListeners, expire, getAddress, getEventListener, getLocalAddress, getMethod, getRequestContent, getRequestContentChunk, getRequestContentSource, getRequestFields, getRequestURI, getRetryStatus, getScheme, getStatus, getTimeout, getURI, getVersion, isDone, isDone, onExpire, onRequestCommitted, onRequestComplete, onResponseComplete, onResponseHeaderComplete, onSwitchProtocol, reset, scheduleTimeout, setAddress, setConfigureListeners, setEventListener, setMethod, setRequestContent, setRequestContentSource, setRequestContentType, setRequestHeader, setRequestHeader, setRequestURI, setRetryStatus, setScheme, setScheme, setTimeout, setURI, setURI, setURL, setVersion, setVersion, toState, toString, waitForDone, waitForStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### configuration

          protected final StreamClientConfigurationImpl configuration

    - #### client

          protected final org.eclipse.jetty.client.HttpClient client

    - #### requestMessage

          protected final StreamRequestMessage requestMessage

    - #### exception

          protected Throwable exception

  - ### Constructor Detail

    - #### StreamClientImpl.HttpContentExchange

          public StreamClientImpl.HttpContentExchange(StreamClientConfigurationImpl configuration,
                                              org.eclipse.jetty.client.HttpClient client,
                                              StreamRequestMessage requestMessage)

  - ### Method Detail

    - #### onConnectionFailed

          protected void onConnectionFailed(Throwable t)

      Overrides:
        `onConnectionFailed` in class `org.eclipse.jetty.client.HttpExchange`

    - #### onException

          protected void onException(Throwable t)

      Overrides:
        `onException` in class `org.eclipse.jetty.client.HttpExchange`

    - #### getConfiguration

          public StreamClientConfigurationImpl getConfiguration()

    - #### getRequestMessage

          public StreamRequestMessage getRequestMessage()

    - #### applyRequestURLMethod

          protected void applyRequestURLMethod()

    - #### applyRequestHeaders

          protected void applyRequestHeaders()

    - #### applyRequestBody

          protected void applyRequestBody()

    - #### createResponse

          protected StreamResponseMessage createResponse()

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.